Team volume
curl --request GET \
--url https://api.e2b.app/volumes/{volumeID} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.e2b.app/volumes/{volumeID}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.e2b.app/volumes/{volumeID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"volumeID": "<string>",
"name": "<string>",
"token": "<string>",
"domain": "<string>"
}{
"code": 400,
"message": "Invalid volume ID"
}{
"code": 401,
"message": "authorization header is missing"
}{
"code": 403,
"message": "team is banned"
}{
"code": 404,
"message": "Volume not found"
}{
"code": 429,
"message": "Rate limit exceeded"
}{
"code": 500,
"message": "failed to sign token"
}{
"code": 503,
"message": "Cluster not found"
}Volumes
Team volume
Get team volume info
GET
/
volumes
/
{volumeID}
Team volume
Authorizations
Path Parameters
Response
Successfully retrieved a team volume
ID of the volume
Name of the volume
Auth token to use for interacting with volume content
Domain to use as the destination for volume content requests,
replacing the default api.<E2B_DOMAIN>. Only returned when the
team is connected to a custom (BYOC) cluster; absent otherwise, in
which case the default domain is used.
Was this page helpful?